#
# Copyright (c) 2013
# Nathan Currier
#
# Use, modification, and distribution are all subject to the
# Boost Software License, Version 1.0. (See the accompanying
# file LICENSE.md or at http://rideliner.tk/LICENSE.html).
#
# <description>
#

def ingredients associations
  associations.each_pair { |func, klass|
    global_function func do |*args, &block|
      klass.new *args, &block
    end
  }
end

alias :ingredient :ingredients

def use_defaults
  load File.join(Bakery::LIB_DIR, 'default.ingredients')
end

