#
# Copyright (c) 2013
# Nathan Currier
#
# Use, modification, and distribution are all subject to the
# Boost Software License, Version 1.0. (See the accompanying
# file LICENSE.md or at http://rideliner.tk/LICENSE.html).
#
# <description>
#

module Bakery
  @globalIcing = Hash.new

  class << self
    def icing
      @globalIcing
    end

    def [] symbol
      if icing = getCake.icing[symbol]
        icing
      else
        @globalIcing[symbol]
      end
    end
  end
end

